lzss_read(3)

NAME
lzss_read - Decompresses data using LZSS. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int lzss_read(PACKFILE *file, LZSS_UNPACK_DATA *dat, int s, unsigned char *buf);

DESCRIPTION
Unpacks from `dat' into `buf', until either EOF is reached or `s' bytes have been extracted from `file'.

RETURN VALUE
Returns the number of bytes added to the buffer `buf'.

SEE ALSO
free_lzss_unpack_data(3)